mswebcam.h File Reference

mediastreamer2 mswebcam.h include file More...

`#include "mscommon.h"`

## Typedefs

typedef struct _MSWebCamManager | MSWebCamManager
typedef struct _MSWebCamDesc | MSWebCamDesc
typedef struct _MSWebCam | MSWebCam

## Functions

MSWebCamManager * | ms_web_cam_manager_get (void)
void | ms_web_cam_manager_destroy (void)
MSWebCam * | ms_web_cam_manager_get_cam (MSWebCamManager *m, const char *id)
MSWebCam * | ms_web_cam_manager_get_default_cam (MSWebCamManager *m)
const MSList * | ms_web_cam_manager_get_list (MSWebCamManager *m)
void | ms_web_cam_manager_add_cam (MSWebCamManager *m, MSWebCam *c)
void | ms_web_cam_manager_prepend_cam (MSWebCamManager *m, MSWebCam *c)
void | ms_web_cam_manager_register_desc (MSWebCamManager *m, MSWebCamDesc *desc)
void | ms_web_cam_manager_reload (MSWebCamManager *m)
struct _MSFilter * | ms_web_cam_create_reader (MSWebCam *obj)
MSWebCam * | ms_web_cam_new (MSWebCamDesc *desc)
void | ms_web_cam_destroy (MSWebCam *obj)
const char * | ms_web_cam_get_driver_type (const MSWebCam *obj)
const char * | ms_web_cam_get_name (const MSWebCam *obj)
const char * | ms_web_cam_get_string_id (MSWebCam *obj)

## Detailed Description

mediastreamer2 mswebcam.h include file

This file provide the API needed to manage soundcard filters.